Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.content.capability
Enum NodeFeatureCapability

    java.lang.Object
      java.lang.Enum<NodeFeatureCapability>
          com.bea.content.capability.NodeFeatureCapability

All Implemented Interfaces
  IFeatureCapabilityType, Serializable, Comparable<NodeFeatureCapability>

    public enum NodeFeatureCapability

extends Enum<NodeFeatureCapability>
implements IFeatureCapabilityType

Feature capabilities which are node-related

Enum Constant Summary
`NodeChildNodeReordering` Child nodes can be re-ordered
`NodeCopy` Nodes can be copied
`NodeCreate` Nodes can be created
`NodeMove` Nodes can be moved
`NodeRemove` Nodes can be removed
`NodeRetrieval` Nodes can be retrieved
`NodeUpdate` Nodes can be updated

Method Summary
`static NodeFeatureCapability` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NodeFeatureCapability[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NodeChildNodeReordering

    public static final NodeFeatureCapability NodeChildNodeReordering

  Child nodes can be re-ordered

### NodeCreate

    public static final NodeFeatureCapability NodeCreate

  Nodes can be created

### NodeMove

    public static final NodeFeatureCapability NodeMove

  Nodes can be moved

### NodeCopy

    public static final NodeFeatureCapability NodeCopy

  Nodes can be copied

### NodeRemove

    public static final NodeFeatureCapability NodeRemove

  Nodes can be removed

### NodeUpdate

    public static final NodeFeatureCapability NodeUpdate

  Nodes can be updated

### NodeRetrieval

    public static final NodeFeatureCapability NodeRetrieval

  Nodes can be retrieved

Method Detail

### values

    public static final NodeFeatureCapability[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static NodeFeatureCapability valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.